import java.util.Random;

public class Passenger {

    private TravelClass passClass;
    private int passengerID;
    private int arrivalTime;
    private boolean covidPositive;

    public Passenger(TravelClass passClass, int passengerID, int arrivalTime) {
        this.passClass = passClass;
        this.passengerID = passengerID;
        this.arrivalTime = arrivalTime;
    }

    public Passenger() {
    }


    public boolean isCovidPositive() {
        return covidPositive;
    }

    public void setCovidPositive(Random randomNumberGenerator) {
        this.covidPositive = (Math.round(randomNumberGenerator.nextFloat()*100)/100.0)==0.01;
    }

    public TravelClass getPassClass() {
        return passClass;
    }

    public int getPassengerID() {
        return passengerID;
    }

    public int getArrivalTime() {
        return arrivalTime;
    }

    @Override
    public String toString() {
        return "Passenger{" +
                "passClass=" + passClass +
                ", passengerID=" + passengerID +
                ", arrivalTime=" + arrivalTime +
                ", covidPositive=" + covidPositive +
                '}';
    }
}
